#!/bin/bash
# This is a script which will be launched by the software-packages plugin just
# after the RPM install transaction complete, and just before the rest of
# patching scripts get called.

chgrp cis /usr/java/jre-vmware/bin
chmod 775 /usr/java/jre-vmware/bin
chgrp cis /usr/java/jre-vmware/bin/java
chmod 775 /usr/java/jre-vmware/bin/java

# enforce HTTPS for the Content Library service
perl -pi -e 's/allow\s+allow/redirect allow/' /etc/vmware-rhttpproxy/endpoints.conf.d/cls.conf

# Reload the firewall in case there were new services added as the rpms were installed
/usr/lib/applmgmt/networking/bin/firewall-reload

true
